Summary: Battleship clone
Name: ClanShip
Version: 1.0.5f
Release: 2%{?dist}
Group:		Amusements/Games
License: GPL
URL: http://www.sourcefiles.org/Games/Strategy/Warfare/Battleships/ClanShip-1.0.5f.zip
Source0: %{name}-%{version}.zip
Source1: %{name}.desktop
Source2: %{name}.png
Patch: clanship.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ClanLib
BuildRequires: ClanLib-devel, unzip

%description
Singleplayer Battleship clone written with ClanLib and C++

%prep
cd %_topdir/BUILD/
rm -rf %{name}-%{version}-%{release}
mkdir %{name}-%{version}-%{release}
cd %{name}-%{version}-%{release}
unzip %{SOURCE0} 
%patch -p1

%build
cd %_topdir/BUILD/%{name}-%{version}-%{release}/
make -C clanship/sources 

%install
rm -rf $RPM_BUILD_ROOT
cd %_topdir/BUILD/%{name}-%{version}-%{release}
# Put the binary in place
install -Dps --mode=0755 clanship/sources/clanship $RPM_BUILD_ROOT%{_bindir}/clanship
# and then the datafiles for the actual game
install -Dp -m 0644 clanship/batship.xml $RPM_BUILD_ROOT%{_datadir}/%{name}/batship.xml
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/resources
install -Dp -m 0644 clanship/resources/*.wav $RPM_BUILD_ROOT%{_datadir}/%{name}/resources/
install -Dp -m 0644 clanship/resources/*.tga $RPM_BUILD_ROOT%{_datadir}/%{name}/resources/
install -dp -m 0755 clanship/resources $RPM_BUILD_ROOT%{_datadir}/%{name}/resources
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
install -Dp -m 0644 clanship/docs/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
# and finally, desktop entry and icon
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
install -Dp --mode=0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications --add-category X-Fedora %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi



%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/readme.txt
%doc %{_datadir}/doc/%{name}-%{version}/install.txt

%{_bindir}/clanship
%{_datadir}/%{name}/batship.xml
%{_datadir}/%{name}/resources/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Mon Jan 26 2009 Jani Mikkonen <jani@mikkonen.biz>
  - 1.0.5f-3 minor package details changed
* Sun Jan 25 2009 Jani Mikkonen <jani@mikkonen.biz>
  - 1.0.5f-2 cleaned up the install section according the reviews
* Sun Jan 25 2009 Jani Mikkonen <jani@mikkonen.biz>
  - 1.0.5f-1 Initial rpm release

